void enter2Script(){
            
  if(setAlert == true){
    
    setAlert = false;
    statusMessage(enter1Pos);
  
  }else{
    PutEeprom();
    curveScreen();
  }
}


void right2Script(){ //configure curves
  
  changePos(curpos,false);
  curpos = curpos + 1;
  if (curpos > POSX[scrNr][0]-1) curpos = POSX[scrNr][0]-1;
  changePos(curpos,true);
  if (curpos>1) {repeatUpdownKeyblk = true;} else {repeatUpdownKeyblk = false;}
}

void left2Script(){ 
  
  changePos(curpos,false);
  curpos = curpos - 1;
  if (curpos < 0) {
    curpos = 0;
    mainScreen();
  }
  changePos(curpos,true);
  if (curpos>1) {repeatUpdownKeyblk = true;} else {repeatUpdownKeyblk = false;}
}

void up2Script(){ //configure curves
  
          if (curpos == 0){
            oldcurveNr1 = curveNr1;
            curveNr1 = curveNr1 + 1;
            if (curveNr1 > curveMax1) curveNr1 = curveMax1;
            placeValue(2, POSX[2][1]+1, 2, 0, oldcurveNr1, curveNr1);           //place set recipe number on screen
            oldpointNr1 = pointNr1;
            pointNr1 = 0;
            placeValue(2, POSX[2][2]+1,  2, 0, oldpointNr1, pointNr1);
            oldtempValue1 = tempValue1; tempValue1 = CURVES[curveNr1][pointNr1][0]; placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);
            oldtimeValue1 = timeValue1; timeValue1 = CURVES[curveNr1][pointNr1][1]; placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);
          } else if (curpos == 1){
            oldpointNr1 = pointNr1;
            pointNr1 = pointNr1 + 1;
            if (pointNr1 > pointMax1) pointNr1 = pointMax1;
            placeValue(2, POSX[2][2]+1,  2, 0, oldpointNr1, pointNr1);
            oldtempValue1 = tempValue1; tempValue1 = CURVES[curveNr1][pointNr1][0]; placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);
            oldtimeValue1 = timeValue1; timeValue1 = CURVES[curveNr1][pointNr1][1]; placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);
          } else if (curpos == 2){
            oldtempValue1 = tempValue1;
            tempValue1 = tempValue1 + 1;
            if (tempValue1 > tempMax1) tempValue1 = tempMax1;
            placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);                  //place set temperature on screen
            CURVES[curveNr1][pointNr1][0] = tempValue1;
          } else if (curpos == 3){
            oldtimeValue1 = timeValue1;
            timeValue1 = timeValue1 + 1;
            if (timeValue1 > timeMax1) timeValue1 = timeMax1;
            placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);                 //place actual procestime on screen
            CURVES[curveNr1][pointNr1][1] = timeValue1;
          } 
}

void down2Script(){ //configure curves
  
          if (curpos == 0){
            oldcurveNr1 = curveNr1;
            curveNr1 = curveNr1 - 1;
            if (curveNr1 < 0) curveNr1 = 0;
            placeValue(2, POSX[2][1]+1, 2, 0, oldcurveNr1, curveNr1);           //place set recipe number on screen
            oldpointNr1 = pointNr1;
            pointNr1 = 0;
            placeValue(2, POSX[2][2]+1,  2, 0, oldpointNr1, pointNr1);
            oldtempValue1 = tempValue1; tempValue1 = CURVES[curveNr1][pointNr1][0]; placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);
            oldtimeValue1 = timeValue1; timeValue1 = CURVES[curveNr1][pointNr1][1]; placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);
          } else if (curpos == 1){
            oldpointNr1 = pointNr1;
            pointNr1 = pointNr1 - 1;
            if (pointNr1 < 0) pointNr1 = 0;
            placeValue(2, POSX[2][2]+1,  2, 0, oldpointNr1, pointNr1);
            oldtempValue1 = tempValue1; tempValue1 = CURVES[curveNr1][pointNr1][0]; placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);
            oldtimeValue1 = timeValue1; timeValue1 = CURVES[curveNr1][pointNr1][1]; placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);
          } else if (curpos == 2){
            oldtempValue1 = tempValue1;
            tempValue1 = tempValue1 - 1;
            if (tempValue1 < 0) tempValue1 = 0;
            placeValue(2, POSX[2][3]+1,  3, 0, oldtempValue1, tempValue1);                  //place set temperature on screen
            CURVES[curveNr1][pointNr1][0] = tempValue1;
          } else if (curpos == 3){
            oldtimeValue1 = timeValue1;
            timeValue1 = timeValue1 - 1;
            if (timeValue1 < CURVES[curveNr1][pointNr1-1][1]*(pointNr1>1)) timeValue1 = CURVES[curveNr1][pointNr1-1][1]*(pointNr1>1);
            placeValue(2, POSX[2][4]+1, 3, 0, oldtimeValue1, timeValue1);                 //place actual procestime on screen
            CURVES[curveNr1][pointNr1][1] = timeValue1;
          }
}
